Compilation error on current trunk

Found a bug ? Report here

Compilation error on current trunk

Postby ycollet » Thu May 10, 2012 8:38 pm


I tried to compile the current trunk. I use mageia 1 32 bits. glibmm is 2.25.5.
Here is the error message:

[256/317] cxx: src/plugins/ -> build/default/src/plugins/ladspaplugin_6.o
../src/plugins/ In function ‘void init()’:
../src/plugins/ erreur: no matching function for call to ‘build_filename(std::string&, const char [8], std::basic_string<char>)’
/usr/include/glibmm-2.4/glibmm/miscutils.h:258:13: note: candidats sont: std::string Glib::build_filename(const Glib::ArrayHandle<std::basic_string<char> >&)
/usr/include/glibmm-2.4/glibmm/miscutils.h:267:13: note: std::string Glib::build_filename(const std::string&, const std::string&)
Waf: Leaving directory `/home/collette/repositories/guitarix/trunk/build'
Build failed: -> task failed (err #1):
{task: cxx -> ladspaplugin_6.o}

Best regards,


Re: Compilation error on current trunk

Postby adegert » Fri May 11, 2012 5:27 am

thanks for reporting, should be fixed now.

To use LADSPA plugins in Guitarix you need to copy build/default/src/plugins/ to ~/.config/guitarix/plugins and then select/configure the plugins you want to use:
Code: Select all
cd src/plugins && python2
The python script needs liblrdf0 and python-simplejson. (When prospectively is linked with guitarix you need to delete it from the user plugins dir again.)
User avatar
Site Admin
Posts: 142
Joined: Fri Jan 22, 2010 11:16 pm

Return to Bug reports

Who is online

Users browsing this forum: No registered users and 1 guest